/*
 * ec.h
 * Combines ADV and pH_back code for integrated EC measurements
 *
 *  Created on: Mar 9, 2022
 *      Author: Irene Hu
 */

#ifndef EC_H_
#define EC_H_

//#include "ph_back.h"
#include "adv.h"
#include "optode.h"
#include "board_util.h" // led, on-chip adc, etc (also included via ph_back)
#include "adc_onchip.h" // tho sample.c just declares everything extern

void ec_comm_test(void);
int ecwrapper_burst(double measDuration_min, int numbursts, char *foldername);
int ecwrapper_noburst(double measDuration_min, char *fn_append);
int ec(double measDuration_min, char* foldername, char* fn_append);

#endif /* EC_H_ */
